{% extends "base.html" %}

{% load i18n %}

{% block content %}
{% trans "any" as any %}

    <div class="card bg-light shadow">
        <div class="card-header text-center">
            <h4>{{ user_object.first_name }} {{ user_object.last_name }}</h4>
        </div>
    <div class="card-body">
        <dl class="row">
            <dt class="col-sm-6 text-right">{% trans "Last name:" %}</dt>
            <dd class="col-sm-6">{{ user_object.last_name }}</dd>

            <dt class="col-sm-6 text-right">{% trans "First name:" %}</dt>
            <dd class="col-sm-6">{{ user_object.first_name }}</dd>

            <dt class="col-sm-6 text-right">{% trans "Email:" %}</dt>
            <dd class="col-sm-6"><a href="mailto:{{ user_object.email }}">{{ user_object.email }}</a>
                {% if not user_object.registration.email_confirmed %} (<em>{% trans "Not confirmed" %}, <a href="{% url "registration:email_validation_resend" pk=user_object.pk %}">{% trans "resend the validation link" %}</a></em>){% endif %}</dd>

            {% if user_object.registration.participates or True %}
                <dt class="col-sm-6 text-right">{% trans "Team:" %}</dt>
                {% trans "any" as any %}
                <dd class="col-sm-6">
                    <a href="{% if user_object.registration.team %}{% url "participation:team_detail" pk=user_object.registration.team.pk %}{% else %}#{% endif %}">
                        {{ user_object.registration.team|default:any }}
                    </a>
                </dd>
            {% endif %}

            {% if user_object.registration.studentregistration %}
                <dt class="col-sm-6 text-right">{% trans "Student class:" %}</dt>
                <dd class="col-sm-6">{{ user_object.registration.get_student_class_display }}</dd>

                <dt class="col-sm-6 text-right">{% trans "School:" %}</dt>
                <dd class="col-sm-6">{{ user_object.registration.school }}</dd>

                <dt class="col-sm-6 text-right">{% trans "Photo authorization:" %}</dt>
                <dd class="col-sm-6">
                    {% if user_object.registration.photo_authorization %}
                        <a href="{{ user_object.registration.photo_authorization.url }}" data-turbolinks="false">{% trans "Download" %}</a>
                    {% endif %}
                    {% if user_object.pk == user.pk %}
                        <button class="btn btn-primary" data-toggle="modal" data-target="#uploadPhotoAuthorizationModal">{% trans "Replace" %}</button>
                    {% endif %}
                </dd>
            {% elif user_object.registration.coachregistration %}
                <dt class="col-sm-6 text-right">{% trans "Profesional activity:" %}</dt>
                <dd class="col-sm-6">{{ user_object.registration.professional_activity }}</dd>
            {% elif user_object.registration.adminregistration %}
                <dt class="col-sm-6 text-right">{% trans "Role:" %}</dt>
                <dd class="col-sm-6">{{ user_object.registration.role }}</dd>
            {% endif %}

            <dt class="col-sm-6 text-right">{% trans "Grant Animath to contact me in the future about other actions:" %}</dt>
            <dd class="col-sm-6">{{ user_object.registration.give_contact_to_animath|yesno }}</dd>
        </dl>
    </div>
    {% if user.pk == user_object.pk or user.registration.is_admin %}
        <div class="card-footer text-center">
            <button class="btn btn-primary" data-toggle="modal" data-target="#updateUserModal">{% trans "Update" %}</button>
            {% if user.registration.is_admin %}
                <a class="btn btn-info" href="{% url "registration:user_impersonate" pk=user_object.pk %}">{% trans "Impersonate" %}</a>
            {% endif %}
        </div>
    {% endif %}
    </div>

    {% trans "Update user" as modal_title %}
    {% trans "Update" as modal_button %}
    {% url "registration:update_user" pk=user_object.pk as modal_action %}
    {% include "base_modal.html" with modal_id="updateUser" %}

    {% trans "Upload photo authorization" as modal_title %}
    {% trans "Upload" as modal_button %}
    {% url "registration:upload_user_photo_authorization" pk=user_object.registration.pk as modal_action %}
    {% include "base_modal.html" with modal_id="uploadPhotoAuthorization" modal_enctype="multipart/form-data" %}
{% endblock %}

{% block extrajavascript %}
    <script>
        $(document).ready(function() {
            $('button[data-target="#updateUserModal"]').click(function() {
                let modalBody = $("#updateUserModal div.modal-body");
                if (!modalBody.html().trim())
                    modalBody.load("{% url "registration:update_user" pk=user_object.pk %} #form-content");
            });
            $('button[data-target="#uploadPhotoAuthorizationModal"]').click(function() {
                let modalBody = $("#uploadPhotoAuthorizationModal div.modal-body");
                if (!modalBody.html().trim())
                    modalBody.load("{% url "registration:upload_user_photo_authorization" pk=user_object.registration.pk %} #form-content");
            });
        });
    </script>
{% endblock %}
